﻿package 
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.display.DisplayObject;
	
	//sound
	import flash.media.Sound;
	import flash.events.SampleDataEvent;
	import flash.ui.Mouse;
	
	public class Boussoler extends Sprite
	{
		private var col:uint = 15;
		private var line:uint = 15;
		private var clip:Sprite;
		private var angle:Number;
		private var noize:uint = 10;
		//sound
		var position:int = 0;
		var n:Number = 0;
		var sound:Sound = new Sound();
		
		Mouse.hide();
		
		public function Boussoler()
		{
			addEventListener(Event.ADDED_TO_STAGE, addedHandler);
		}
		private function fullhandler(e:FullScreenEvent):void
		{
			while (numChildren>0)
			{
				var c:DisplayObject = getChildAt(0);
				removeChildAt(0);
				c = null;
			}
			init();
		}


		private function addedHandler(e:Event):void
		{
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
			init();
		}
		
		
		//sound
		function onSampleData(event:SampleDataEvent):void
		{
	}

		
		private function init():void
		{
			
			graphics.clear();
		for(var i:int = 0; i < 2048; i++)
		{
			
			for (var noize:int = 0; noize > 1; noize++) {
			}
			
        var phase:Number = position / 44100 * Math.PI * 2;
        var nbrl:Number = stage.stageWidth / col;
		var nbrh:Number = stage.stageHeight / line;
        var sample:Number = Math.sin(phase * 440 * Math.pow(2, n / 12));
		clip = new Sprite();
		clip.graphics.lineStyle(0.4,0xffffff,Math.random()*0.3);
		clip.graphics.moveTo(0,-10);
		clip.graphics.lineTo(i / 2048 * stage.stageWidth, stage.stageHeight / 2 - sample * stage.stageHeight / 8);
		clip.x = i * Math.sin(10 * Math.PI / 200) * 10;
		clip.y = i * noize ;
		

		addChild(clip);
		clip.addEventListener(Event.ENTER_FRAME,enterHandler);
    	}
			
			//sound
			sound.addEventListener(SampleDataEvent.SAMPLE_DATA, onSampleData);
			sound.play();

		}


private function enterHandler(e:Event):void
{
angle = Math.atan((e.currentTarget.y-mouseY)/(e.currentTarget.x-mouseX));

e.currentTarget.scaleY = angle * 200;
}
}
}